<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MediaData extends \Google\Protobuf\Internal\Message
{
    


    protected $localPath = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLocalPath()
    {
        return isset($this->localPath) ? $this->localPath : '';
    }

    public function hasLocalPath()
    {
        return isset($this->localPath);
    }

    public function clearLocalPath()
    {
        unset($this->localPath);
    }

    




    public function setLocalPath($var)
    {
        GPBUtil::checkString($var, True);
        $this->localPath = $var;

        return $this;
    }

}

